#!/bin/sh +x

HOSTS="1.2.3.4"

# no ping request
COUNT=3

for myHost in $HOSTS
do
  count=$(ping -c $COUNT $myHost | grep 'received' | awk -F',' '{ print $2 }' | awk '{ print $1 }')
  if [ $count -eq 0 ]; then
    # 100% failed
        echo "$(date) Host : $myHost is down (ping failed)" >> check.log
  else
        echo "$(date) Host : $myHost is up (ping sucessful)" >> check.log
  fi
done